<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

session_start(); 
?>
<?php if ((@$HTTP_SESSION_VARS["etat_log"] <> "connecte") or ((@$HTTP_SESSION_VARS["niv_log"] <> 9) AND (@$HTTP_SESSION_VARS["niv_log"] <> 5))) header("Location: ../index.php") ?>
<?php include ("../inc/config.inc.php") ?>
<?php include ("../inc/func.inc.php") ?>
<?php include ("../inc/func_log.inc.php") ?>
<?php include ("../inc/fic.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	 	// Variables Formulaire
		$titre = strip_tags(trim(@$_POST["titre"]));
		$typdde = strip_tags(trim(@$_POST["typdde"]));

		$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
		$nom = str_majuscules(strip_tags(trim(@$_POST["nom"])));
		$desc = strip_tags(trim(@$_POST["desc"]));
		$cgv = $_POST['FCKeditor1'];
		$actif = trim(@$_POST["actif"]);
		$specif = trim(@$_POST["specif"]);

		$retourliste = TRUE;
		
		$codeuser = @$HTTP_SESSION_VARS["code_log"];

		if ($typdde == "add")
		{
			// Ajout de la fiche Contrat Type
		
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "SELECT * FROM " .TBCO. " WHERE `co_code` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());
			if (mysql_num_rows($rs) == 0)
			{
				$rech2  = "INSERT INTO " .TBCO;
				$rech2 .= " (co_datecrea,co_codecrea,co_datemod,co_codemod,co_code,co_nom,co_desc,co_cgv,co_actif,co_specif) VALUES";
				$rech2 .= " ('$datea','$codeuser','$datea','$codeuser','$code','$nom','$desc','$cgv','$actif','$specif')";
				$rs = mysql_query($rech2) or die(mysql_error());
				$msg = "Fiche Ajoutée avec succès !";			
			}
			else
			{
				$msg = "Ce code existe déjà !";
				$retourliste = FALSE;
			}
			mysql_close($conn);
		}

		if ($typdde == "edit")
		{
			$existecocl = FALSE;
			
			/*
			// Vérifie si utilisé dans un contrat-client
			
			if (exist_co_in_cocl($code) == TRUE)
			{
				$existecocl = TRUE;
				$msg = "Ce contrat type est utilisé dans un contrat-client.";
				$retourliste = FALSE;
			}
			*/
			if ($existecocl == FALSE) // On ne peut pas modifier un contrat type déjà utilisé
			{
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
	
				// MAJ de la fiche Contrat type
			
				$rech = "UPDATE `" .TBCO. "` SET `co_datemod`='".$datea."', `co_codemod`='".$codeuser."', `co_code`='".$code."', `co_nom`='".$nom."', `co_desc`='".$desc."', `co_cgv`='".$cgv."', `co_actif`='".$actif."', `co_specif`='".$specif."'   WHERE `co_code` = '".$code."'";
				$rs = mysql_query($rech) or die(mysql_error());
	
				mysql_close($conn);

				$msg = "Fiche modifiée avec succès !";
				$retourliste = TRUE;
			}
		}

		if ($typdde == "del")
		{
			$existecocl = FALSE;
			
			// Vérifie si utilisé dans un contrat-client
			
			if (exist_co_in_cocl($code) == TRUE)
			{
				$existecocl = TRUE;
				$msg = "Ce contrat type est présent dans un contrat-client.";
				$retourliste = FALSE;
			}
			
			if  ($existecocl == FALSE) // On ne peut pas supprimer un contrat type déjà utilisé
			{
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);

				// SUPPRESSION de la fiche Contrat type
			
				$rech = "DELETE FROM `" .TBCO. "` WHERE `co_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());

				mysql_close($conn);

				$msg = "Fiche supprimée avec succès !";			
				$retourliste = TRUE;
			}
		}
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche Contrat Type</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../inc/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

</head>
<body>

<?php 
	include_once ("../inc/entete.php"); 
?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>
<?PHP if ($retourliste == FALSE) { ?>
	<table width="100%"  border="0">
	  <tr>
		<td width="3%">&nbsp;</td>
		<td width="44%"><div align="right"><a href="co_lst.php?ta=m"><img src="../img/liste.gif" width="33" height="34" border="0" align="abddle"></a> <a href="co_lst.php?ta=m" class="annot_gras_it">Retour &agrave; la liste</a></div></td>
		<td width="7%">&nbsp;</td>
		<td width="43%"><a href="index.php"><em><img src="../img/index.gif" width="48" height="48" border="0" align="abddle"> </em><span class="annot_gras_it">Revenir &agrave; l'accueil</span> </a></td>
		<td width="3%">&nbsp;</td>
	  </tr>
	</table>
<?PHP } else { ?>
	<p align="center" class="annot_std_it">Retour à la liste dans 2 secondes...</p>
	<script type="text/javascript">
	window.setTimeout("location=('co_lst.php?ta=m');",2000)
	</script>
<?PHP } ?>

<?php 
	include_once ("pied.php")
?>

